import { AppService } from '../app/app.service';
import { FetchMeta } from './types';
export declare class FetchService {
    app: AppService;
    constructor(app: AppService);
    fetch<Data>(input: RequestInfo, init?: RequestInit, meta?: FetchMeta): Promise<string | Data>;
    get<Data>(url: string, init?: RequestInit, meta?: FetchMeta): Promise<string | Data>;
    post<Data>(url: string, init?: RequestInit, meta?: FetchMeta): Promise<string | Data>;
    put<Data>(url: string, init?: RequestInit, meta?: FetchMeta): Promise<string | Data>;
    patch<Data>(url: string, init?: RequestInit, meta?: FetchMeta): Promise<string | Data>;
    delete<Data>(url: string, init?: RequestInit, meta?: FetchMeta): Promise<string | Data>;
}
